--------------------------------------------------------------------
-- s_push_2players.lua
-- ボタン（2Players）押下時の処理
--
-- author IZUMI STUDIO
-- date
--------------------------------------------------------------------
require(".\\scripts\\menu\\s_common")

-- ゲームシーンへ
Scene.ChangeScene( 0, SCENE_GAME, TRANSITION_BLACK_OUT, 20, TRANSITION_BLACK_IN, 20 )

-- BGM（ゲームへ）
Scene.ControlStreamSound( 0, SCONTROL_STOP, 0, "" )
Scene.ControlStreamSound( 0, SCONTROL_CLEAR, 0, "" )
Scene.ControlStreamSound( 0, SCONTROL_PUSH_SOUND, 0, "sounds\\decide11.ogg" )
Scene.ControlStreamSound( 0, SCONTROL_PLAY, SCONTROL_LOOP_NO, "" )

-- 各種変数設定
Scene.SetEnvParameterInt( 0, "PlayerCodeRed", PLAYER_PLAYER1 )
Scene.SetEnvParameterInt( 0, "PlayerCodeYellow", PLAYER_PLAYER2 )
Scene.SetEnvParameterString( 0, "PlayerNameRed", "PLAYER 1" )
Scene.SetEnvParameterString( 0, "PlayerNameYellow", "PLAYER 2" )
Scene.SetEnvParameterInt( 0, "UseAIRed", 1 )
Scene.SetEnvParameterInt( 0, "UseAIYellow", 1 )
Scene.SetEnvParameterInt( 0, "AIModeRed", 0 )
Scene.SetEnvParameterInt( 0, "AIModeYellow", 0 )
Scene.SetEnvParameterString( 0, "AIScriptRed", "ai\\ai_assist.lua" )
Scene.SetEnvParameterString( 0, "AIScriptYellow", "ai\\ai_assist.lua" )
Scene.SetEnvParameterInt( 0, "TempPlayCount", 0 )

-- カメラ移動
Scene.SetCamera(
	 0,
	 CAMERA_SELECT_MODE_OUT[1], CAMERA_SELECT_MODE_OUT[2], CAMERA_SELECT_MODE_OUT[3],
	 CAMERA_SELECT_MODE_OUT[4], CAMERA_SELECT_MODE_OUT[5], CAMERA_SELECT_MODE_OUT[6],
	 INTERPOLATION_EASE_IN,
	 20 )

-- ボタン押下演出
Scene.ExecEffectScript_CursorPos( 0, ".\\scripts\\menu\\e_push_button.lua" )

-- 次のシーンまで入力不可にする
Scene.SetEnvParameterInt( 0, "EnableInput", 0 )
Scene.SetEnvParameterInt( 1000, "EnableInput", 1 )



